<?php
// $Id: views_handler_field_system_info_screenshot.inc,v 1.1 2010/10/25 20:49:41 flanker Exp $

/**
 * @file
 * Views field handler for the views_system module.
 */


/**
 * Provides display options and renders the screenshot field of the system item.
 *
 * @ingroup views_field_handlers
 */
class views_handler_field_system_info_screenshot extends views_handler_field_system_info {


  function option_definition() {

    $options = parent::option_definition();

    $options['system_info_screenshot_image'] = array('default' => TRUE);

    return $options;
  }


  function options_form(&$form, &$form_state) {

    parent::options_form($form, $form_state);

    $form['system_info_screenshot_image'] = array(
      '#title' => t('Display screenshot as image'),
      '#type' => 'checkbox',
      '#default_value' => !empty($this->options['system_info_screenshot_image']),
    );
  }


  function render($values) {

    $info = unserialize($values->system_info);

    if ($this->options['system_info_screenshot_image']) {
      $screenshot = _views_system_get_screenshot($info);
      $output = $screenshot ? theme('image', $screenshot, t('Screenshot for %theme theme', array('%theme' => $info['name'])), '', array('class' => 'screenshot'), FALSE) : '';
    }
    else {
      $output = isset($info['screenshot']) ? $info['screenshot'] : '';
    }

    return $output;
  }
}
